package org.gcube.gcat.api.moderation;

/**
 * @author Luca Frosini (ISTI-CNR)
 */
public interface Moderated {
	
	public static final String CATALOGUE_MODERATOR = "Catalogue-Moderator";
	
	/* Content Moderation fields */
	public static final String CM_ITEM_STATUS_QUERY_PARAMETER = "status";
	public static final String SYSTEM_CM_PREFIX = "system:cm_";
	public static final String SYSTEM_CM_ITEM_STATUS = SYSTEM_CM_PREFIX + "item_status";
	public static final String SYSTEM_CM_ITEM_VISIBILITY = SYSTEM_CM_PREFIX + "item_visibility";

	public String approve(String moderatorMessage);
	
	public String reject(String moderatorMessage);
	
	public void message(String message);
	
}
